Skip to content

Upload a media content with optional expiry date ​

POST
/v1/mediacontent/{related_type}/{related_id}/{media_type}

Upload a media content with optional expiry date.

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

related_type*

Type of the related entity

Type
string
Required
related_id*

ID of the related entity

Type
string
Required
media_type*

Type of the media content

Type
string
Required

Request Body​

multipart/form-data
Defaultnull
Defaultnull

ISO 8601 datetime string for when content expires

Defaultnull

Order value for the mediacontent

Default100

Responses​

Created

application/json
JSON
{
  
"mediacontent_id": "string",
  
"related_type": "string",
  
"related_id": "string",
  
"media_type": "string",
  
"media_sizes": [
  
  
"string"
  
],
  
"filename": null,
  
"created_by": null,
  
"created": null,
  
"media_url": null,
  
"expiry_date": null,
  
"order": null
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​